# asIBinaryStream Class Reference

A binary stream interface. More...

List of all members.

## Public Member Functions
virtual void | Read (void *ptr, asUINT size)=0
| Read size bytes from the stream into the memory pointed to by ptr.
virtual void | Write (const void *ptr, asUINT size)=0
| Write size bytes to the stream from the memory pointed to by ptr.

## Detailed Description

This interface is used when storing compiled bytecode to disk or memory, and then loading it into the engine again.

See also:
  asIScriptModule::SaveByteCode, asIScriptModule::LoadByteCode

## Member Function Documentation

virtual void asIBinaryStream::Read | ( | void * | ptr,
|  | asUINT | size |
| ) |  |  | `[pure virtual]`

Parameters:

  `[out]` | ptr | A pointer to the buffer that will receive the data.
  `[in]` | size | The number of bytes to read.

Read size bytes from the data stream into the memory pointed to by ptr.

virtual void asIBinaryStream::Write | ( | const void * | ptr,
|  | asUINT | size |
| ) |  |  | `[pure virtual]`

Parameters:

  `[in]` | ptr | A pointer to the buffer that the data should written from.
  `[in]` | size | The number of bytes to write.

Write size bytes to the data stream from the memory pointed to by ptr.

The documentation for this class was generated from the following file:

- angelscript.h